Summary:	PulseAudio Preferences
Name:		paprefs
Version:	0.9.10
Release:	6
License:	GPLv2+
Group:		Sound
Url:		http://0pointer.de/lennart/projects/paprefs/
Source0:	http://freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Patch0:		paprefs-0.9.10-ru-l10n.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	lynx
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(gconfmm-2.6)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(libglademm-2.4)
BuildRequires:	pkgconfig(libpulse) >= 0.9.7
Requires:	pulseaudio-module-gconf

%description
PulseAudio Preferences is a simple GTK based configuration dialog for the
PulseAudio sound server.

Please note that this program can only configure local servers, and requires
that a special module module-gconf is loaded in the sound server.

%files -f %{name}.lang
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="System" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

echo "NotShowIn=KDE" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}


%changelog

* Wed May 20 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.9.10-6
- (60c4a82) Added Russian l10n


